;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; irchat-pj configuration sample by muraken <muraken2@nifty.com>
;;
;; Please copy & paste to .emacsen
;;

(autoload 'irchat "irchat" "IRC client for Emacsen." t)

;;; generic configuration
(setq irchat-server "irc.tokyo.wide.ad.jp")
(setq irchat-name (or (user-full-name) "Full Name"))
(setq irchat-nickname (or (user-real-login-name) "nick"))

;;; default channel list
(setq irchat-startup-channel-list
      '("#channel1" "#channel2" "#channel3"))

;; detect key bind of C-<num>. binding order is:
;;   C-1, C-2, ..., C-9, C-c C-c 0, C-c C-c 1, ..., C-c C-c 9,
;;   C-c C-d 0, C-c C-d 1, ..., C-c C-d 9
(setq irchat-default-channel-binding
      '("#channel1" "#channel2" "#channel3" nil "#channel5"))

;;; detailed private configuration
(setq irchat-global-names nil)
(setq irchat-reconnect-automagic t)
(setq irchat-channel-buffer-mode t)
(setq irchat-display-channel-always nil)
(setq irchat-default-freeze-local nil)
(setq irchat-beep-on-bells t)
(setq irchat-signoff-msg "Good bye.")

;;; irchat-pj local configuration
(setq irchat-pj-string-in-code  'auto-detect
      irchat-pj-string-out-code 'iso2022-7bit-ss2)
(setq irchat-pj-katakana-convert t)
(setq irchat-pj-code-verbose nil)

;;; for sound
(setq irchat-pj-sound-when-invited t)
(setq irchat-pj-sound-when-private t)
(setq irchat-pj-sound-when-join t)
(setq irchat-pj-sound-when-ctcp t)
(setq irchat-pj-sound-words-alist
      '("nick" "foo" "bar" "hoge.*"))
(setq irchat-pj-sound-directory "/usr/share/sounds")
(setq irchat-pj-sound-au-player "play")
(setq irchat-pj-sound-wav-player "play")
(setq irchat-pj-sound-words-file   "KDE_Beep_ShortBeep.wav")
(setq irchat-pj-sound-invited-file "KDE_Beep_Bottles.wav")
(setq irchat-pj-sound-private-file "KDE_Beep_Beep.wav")
(setq irchat-pj-sound-join-file    "KDE_Beep_Door.wav")
(setq irchat-pj-sound-ctcp-file    "KDE_Beep_Yo.wav")

(setq irchat-pj-rewrite-server-notice t)
(setq irchat-pj-broadcast-channel t
      irchat-pj-broadcast-private nil)
(setq irchat-pj-scroll-condition t)

(setq irchat-pj-Commands-mode-line-format 'irchat-pj-Commands-mode-line-format-minor-mode
      irchat-pj-Dialogue-mode-line-format 'irchat-pj-Dialogue-mode-line-format-minor-mode
      irchat-pj-Other-mode-line-format    'irchat-pj-Other-mode-line-format-minor-mode
      irchat-pj-Channel-mode-line-format  'irchat-pj-Channel-mode-line-format-minor-mode)

(setq irchat-pj-auto-oper-list
      '(;; in all channel, send oper to man or woman matched *!*simm*@*.fan.gr.jp
	".*!.*simm.*@.*\\.fan\\.gr\\.jp"
	;; in #channel1 and #channel2, send oper to man or woman mathced *!*hoge*@*.hoge.ne.jp
	(".*!.*hoge.*@.*\\.hoge\\.ne\\.jp" "#channel1" "#channel2")))

(setq irchat-pj-quit-with-kill-buffer nil)
